#pragma once

#include <object/entity.hpp>
#include <renderer/texture.hpp>
#include <renderer/font.hpp>
#include <object/sound.hpp>

namespace Game::AGame {
GAME_ENTITY(Player)
        private:
            Object::Sound mSound;
            float mSpeed = 200.f; // Pixels per second
            float mHealth = 100.f;
END_GAME_ENTITY()
}